class Show < ActiveRecord::Base

  hobo_model # Don't put anything above this

  fields do
    zetype enum_string(:network, :eshow)
    timestamps
  end


  # --- Permissions --- #

  def create_permitted?
    acting_user.administrator?
true
  end

  def update_permitted?
    acting_user.administrator?
  end

  def destroy_permitted?
    acting_user.administrator?
  end

  def view_permitted?(field)
    true
  end

end
